For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer GuidesThreads APIAccount Management APIAnalytics API
Developer GuidesThreads APIAccount Management APIAnalytics API
  • Threads
    • GETList Threads
    • POSTCreate Thread
    • DELDelete Thread
    • PATCHUpdate Thread
    • GETList Messages
    • POSTSend Message
    • GETGet Thread Progress
    • DELCancel Thread Task
    • POSTUpload File
    • GETGet Artifact
    • GETStream Thread Events
LogoLogo
Threads

List Threads

GET
https://sandbox.api.boosted.ai/v2/threads
GET
/v2/threads
$curl https://sandbox.api.boosted.ai/v2/threads \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "threads": [
3 {
4 "thread_id": "string",
5 "last_updated": "2024-01-15T09:30:00Z",
6 "thread_name": "string",
7 "tag_ids": [
8 "string"
9 ]
10 }
11 ]
12}
Get all threads for the authenticated user. This endpoint returns a list of all threads associated with the user's account, including thread IDs, names, and metadata. The threads are typically ordered by most recently updated.
Was this page helpful?

Create Thread

Next
Built with

Authentication

AuthorizationBearer
OAuth2 access token obtained via token exchange.

Response

Successful Response
threadslist of objects